:root {
  --f-g1: #f7fafc;
  --f-g2: #edf1f7;
  --f-g3: #e2e7f0;
  --f-g4: #cbd7e0;
  --f-g5: #a0abc0;
  --f-g6: #677490;
  --f-g7: #4a5268;
  --f-g8: #2d3448;
  --f-g9: #1a1e2c;
  --f-g10: #0b1c54;
  --f-f1: #fbf5ff;
  --f-f2: #edd8fd;
  --f-f3: #dcbcfa;
  --f-f4: #c194f4;
  --f-f5: #a87ede;
  --f-f6: #977ac2;
  --f-f7: #725794;
  --f-f8: #50386e;
  --f-f9: #3d2957;
  --f-f10: #400180;
  --f-o1: #fff9f0;
  --f-o2: #fee7c8;
  --f-o3: #fbc98d;
  --f-o4: #f6a055;
  --f-o5: #fc8e3a;
  --f-o6: #dd6418;
  --f-o7: #cc4e13;
  --f-o8: #9c3c1c;
  --f-o9: #7b2f1a;
  --f-o10: #c43800;
}

#f-corner,
#f-sidebar .b-sidebar-outer {
  z-index: 1300 !important;
}

#root {
  background: var(--f-g1);
}

#root * {
  font-family: Roboto, sans-serif;
}

/*  Header */
#root div > nav {
  height: auto;
  top: 0;
  padding: 0;
  margin-bottom: 2rem;
  background: #fff;
  border-bottom: 1px solid var(--f-g4);
}

#root div > nav > nav {
  height: auto;
  top: 0;
  align-items: center;
  margin: 0 auto;
  max-width: 1140px;
}

#root nav::before,
#root nav::after {
  content: none;
}

#root nav > nav img {
  display: none;
}

#root nav > nav .header-logo {
  display: block;
  width: 3.5rem;
  height: 3.5rem;
  background: url('https://framindmap.org/abc/img/icons/mindmap.svg');
  background-size: cover;
}

#root nav > nav .header-logo::before {
  color: var(--f-f7);
  content: 'Fra';
  display: inline-block;
  font-family: DejaVu Sans,Verdana,Geneva,sans-serif;
  font-size: 2rem;
  font-weight: 700;
  padding-left: calc(3.5rem + .25rem);
  padding-top: .25rem;
}

#root nav > nav .header-logo::after {
  color: var(--f-o7);
  content: 'mindmap';
  display: inline-block;
  font-family: DejaVu Sans,Verdana,Geneva,sans-serif;
  font-size: 2rem;
  font-weight: 700;
  padding-top: .25rem;
}

.header-area-right2 {
  padding-right: 42px;
}

/* Dashboard + Editor */
.MuiPaper-root.MuiDrawer-paperAnchorLeft div[style*='padding'] img {
  display: none;
}

.MuiPaper-root.MuiDrawer-paperAnchorLeft div[style*='padding'] {
  display: block;
  width: 3.5rem;
  height: 3.5rem;
  background: url('https://framindmap.org/abc/img/icons/mindmap.svg');
  background-size: cover;
  padding: 0 !important;
  margin: .25rem;
}

.MuiPaper-root.MuiDrawer-paperAnchorLeft div[style*='padding']::before {
  color: #fff;
  content: 'Framindmap';
  display: inline-block;
  font-family: DejaVu Sans,Verdana,Geneva,sans-serif;
  font-size: 1.75rem;
  font-weight: 700;
  padding-left: calc(3.5rem + .25rem);
  padding-top: .5rem;
}

.MuiButton-contained, .MuiButton-outlined {
  border-radius: 5px;
  box-shadow: none;
}

.MuiButton-containedPrimary,
.MuiButton-containedPrimary:hover {
  background-color: var(--f-o7);
}

.MuiButton-outlinedPrimary {
  border-color:  var(--f-o5);
  color: var(--f-o7);
}

.MuiButton-textPrimary {
  color: var(--f-o7);
}

.MuiInputBase-colorPrimary input {
  border-color: var(--f-g5);
}

.MuiPaper-root.MuiDrawer-paperAnchorLeft {
  background: var(--f-g6);
}

.MuiPaper-root.MuiDrawer-paperAnchorLeft .Mui-selected,
.MuiPaper-root.MuiDrawer-paperAnchorLeft .Mui-selected:hover {
  background: var(--f-g7);
}

#root .MuiPaper-root.MuiDrawer-paperAnchorLeft .MuiList-root {
  background: transparent;
  border-bottom: none;
}

.MuiDrawer-paperAnchorDockedLeft svg {
  color: #fff;
}

table.MuiTable-root tr:nth-child(odd) {
  background: var(--f-g2);
}

header.MuiAppBar-root {
  padding-right: 1.5rem;
}

header .MuiToolbar-root > div:last-of-type span:nth-child(2) .MuiIconButton-root { /* menu wisemapping.com */
  display: none;
}

/* Login + Registration */
.MuiContainer-root .MuiLink-root,
.MuiContainer-root .MuiTypography-h4,
.MuiGrid-root .MuiTypography-h4 {
  color: var(--f-o7)
}

.MuiGrid-item {
  max-width: 100%;
  flex-basis: 100%;
}

.MuiFormControl-root label {
  color: var(--f-g9);
  z-index: 2;
}

.MuiFormControl-root input {
  color: var(--f-g9);
  z-index: 1;
}

.MuiFormControl-root fieldset {
  border-color: var(--f-g4);
  border-radius: 5px;
  background: #fff;
}

.MuiFormControl-root textarea + fieldset {
  background: transparent;
}

.MuiContainer-root > div:nth-of-type(2),
.MuiContainer-root > button,
.MuiGrid-item:nth-of-type(1) button,
.MuiGrid-item:nth-of-type(2){ /* google */
  display:none;
}

form .MuiButton-containedPrimary[style] {
  width: 100% !important;
}

.MuiFormControl-root div[style*="font-size"] {
  text-align: left;
  font-size: 0px !important;
}

.MuiFormControl-root div[style*="font-size"]::after {
  content: 'Tous les champs de ce formulaire sont requis pour le bon fonctionnement du logiciel. Cependant, il n’est pas nécessaire que vous nous donniez votre véritable identité. \a Merci de vérifier les informations que vous avez saisies. \a\a En cliquant sur le bouton « S’inscrire » ci-dessous, vous vous engagez à respecter nos Conditions Générales d’Utilisation.';
  font-size: 12px;
  white-space: pre-wrap;
}

/* Footer */
#root footer {
  background: transparent;
  height: auto;
  max-width: 1140px;
  margin: 80px auto 0;
  padding-left: 30px;
}

#root footer img {
  filter: invert(100%);
}

#root footer div:nth-of-type(n+2),
#f-footer {
  display: none !important;
}

.css-1q17kh6 { display:none; }
